package com.demo1.exception;

import net.lotte.chamomile.core.exception.BusinessCode;

public enum CustomExceptionCode implements BusinessCode {

	// 사용할 ENUM 리스트 정의
    LOGIN_ERROR(501, "Business Login error"),
    FILE_ERROR(502, "Business File error"),
    MENU_NOT_VISIBLE(1502, "Menu Not Visible");

    private final int code;  

    private final String codeDescription;  

    CustomExceptionCode(int code, String codeDescription) {  
        this.code = code;  
        this.codeDescription = codeDescription;  
    }  

    @Override  
    public int getCode() {  
        return this.code;  
    }  

    @Override  
    public final String toString() {  
        return this.codeDescription;  
    }  

}
